Skip to navigation

List Pickups

Retrieves a list of pickups.

Examples

You can filter the list to return pickup objects specific to a list of requested pickup or order IDs. This is achieved by appending the query string ?order_id:in=100,103,202 or pickup_id:in=1,4 to the resource /orders/pickups.

GET /orders/pickups?order_id:in=100,300,500

or

GET /orders/pickups?pickup_id:in=7,13,17

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

order_id:inlongOptional
Comma separated list of order IDs.
pickup_id:inlongOptional
Comma separated list of pickup IDs.

Response

The request has been processed and a list of pickups has been returned successfully.
datalist of objectsOptional